Join a webinar on April 30th: Unlocking Your Data using AI with Box Extract & MCP Server. Register here
curl -i -X GET "https://api.box.com/2.0/users/12345/memberships" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"total_count": 5000,
"limit": 1000,
"offset": 2000,
"order": [
{
"by": "type",
"direction": "ASC"
}
],
"entries": [
{
"id": "11446498",
"type": "group_membership",
"user": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"group": {
"id": "11446498",
"type": "group",
"name": "Support",
"group_type": "managed_group"
},
"role": "member",
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}
]
}ユーザーのすべてのグループを取得します。このグループのメンバー、または管理者レベルの権限を持つユーザーのみがこのAPIを使用できます。
curl -i -X GET "https://api.box.com/2.0/users/12345/memberships" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"total_count": 5000,
"limit": 1000,
"offset": 2000,
"order": [
{
"by": "type",
"direction": "ASC"
}
],
"entries": [
{
"id": "11446498",
"type": "group_membership",
"user": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"group": {
"id": "11446498",
"type": "group",
"name": "Support",
"group_type": "managed_group"
},
"role": "member",
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}
]
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
ユーザーのID。
返す項目の1ページあたりの最大数。
x <= 1000レスポンスが開始される項目のオフセット。
オフセットパラメータ値が10,000を超えているクエリは拒否され、400レスポンスが返されます。
メンバーシップオブジェクトのコレクションを返します。メンバーシップが存在しない場合は、空のコレクションが返されます。
グループメンバーシップのリスト。
コレクション全体の最後のエントリのオフセットに1を加算した値。コレクション内のエントリの合計数は、total_countよりも少ない場合があります。
このフィールドは、オフセットベースのページネーションを使用する呼び出しのみで返されます。マーカーベースでページネーションされたAPIでは、このフィールドは省略されます。
5000
これらのエントリで使用された制限値。許容される最大値を超えていない限り、クエリパラメータのlimitと等しくなります。最大値はAPIによって異なります。
1000
このセットに含まれる最初のエントリのゼロから始まるオフセット。これは、offsetクエリパラメータと同じになります。
このフィールドは、オフセットベースのページネーションを使用する呼び出しのみで返されます。マーカーベースでページネーションされたAPIでは、このフィールドは省略されます。
2000
項目が返される順序。
このフィールドは、オフセットベースのページネーションを使用する呼び出しのみで返されます。マーカーベースでページネーションされたAPIでは、このフィールドは省略されます。
Show child attributes
グループメンバーシップのリスト。
Show child attributes
このページは役に立ちましたか?